Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network48.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
48.0.0.0
Broadcast address
48.63.255.255
First usable
48.0.0.1
Last usable
48.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 30000000 · Integer 805306368 to 809500671
Reverse DNS zones
0.48.in-addr.arpa
1.48.in-addr.arpa
2.48.in-addr.arpa
3.48.in-addr.arpa
4.48.in-addr.arpa
5.48.in-addr.arpa
6.48.in-addr.arpa
7.48.in-addr.arpa
8.48.in-addr.arpa
9.48.in-addr.arpa
10.48.in-addr.arpa
11.48.in-addr.arpa
12.48.in-addr.arpa
13.48.in-addr.arpa
14.48.in-addr.arpa
15.48.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110000.00000000.00000000.0000000048.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00110000.00000000.00000000.0000000048.0.0.0
Broadcast00110000.00111111.11111111.1111111148.63.255.255
Split into smaller subnets/22

48.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
148.0.0.0/2248.0.0.1 to 48.0.3.25448.0.3.2551,022
248.0.4.0/2248.0.4.1 to 48.0.7.25448.0.7.2551,022
348.0.8.0/2248.0.8.1 to 48.0.11.25448.0.11.2551,022
448.0.12.0/2248.0.12.1 to 48.0.15.25448.0.15.2551,022
548.0.16.0/2248.0.16.1 to 48.0.19.25448.0.19.2551,022
648.0.20.0/2248.0.20.1 to 48.0.23.25448.0.23.2551,022
748.0.24.0/2248.0.24.1 to 48.0.27.25448.0.27.2551,022
848.0.28.0/2248.0.28.1 to 48.0.31.25448.0.31.2551,022
948.0.32.0/2248.0.32.1 to 48.0.35.25448.0.35.2551,022
1048.0.36.0/2248.0.36.1 to 48.0.39.25448.0.39.2551,022
1148.0.40.0/2248.0.40.1 to 48.0.43.25448.0.43.2551,022
1248.0.44.0/2248.0.44.1 to 48.0.47.25448.0.47.2551,022
1348.0.48.0/2248.0.48.1 to 48.0.51.25448.0.51.2551,022
1448.0.52.0/2248.0.52.1 to 48.0.55.25448.0.55.2551,022
1548.0.56.0/2248.0.56.1 to 48.0.59.25448.0.59.2551,022
1648.0.60.0/2248.0.60.1 to 48.0.63.25448.0.63.2551,022
1748.0.64.0/2248.0.64.1 to 48.0.67.25448.0.67.2551,022
1848.0.68.0/2248.0.68.1 to 48.0.71.25448.0.71.2551,022
1948.0.72.0/2248.0.72.1 to 48.0.75.25448.0.75.2551,022
2048.0.76.0/2248.0.76.1 to 48.0.79.25448.0.79.2551,022
2148.0.80.0/2248.0.80.1 to 48.0.83.25448.0.83.2551,022
2248.0.84.0/2248.0.84.1 to 48.0.87.25448.0.87.2551,022
2348.0.88.0/2248.0.88.1 to 48.0.91.25448.0.91.2551,022
2448.0.92.0/2248.0.92.1 to 48.0.95.25448.0.95.2551,022
2548.0.96.0/2248.0.96.1 to 48.0.99.25448.0.99.2551,022
2648.0.100.0/2248.0.100.1 to 48.0.103.25448.0.103.2551,022
2748.0.104.0/2248.0.104.1 to 48.0.107.25448.0.107.2551,022
2848.0.108.0/2248.0.108.1 to 48.0.111.25448.0.111.2551,022
2948.0.112.0/2248.0.112.1 to 48.0.115.25448.0.115.2551,022
3048.0.116.0/2248.0.116.1 to 48.0.119.25448.0.119.2551,022
3148.0.120.0/2248.0.120.1 to 48.0.123.25448.0.123.2551,022
3248.0.124.0/2248.0.124.1 to 48.0.127.25448.0.127.2551,022
3348.0.128.0/2248.0.128.1 to 48.0.131.25448.0.131.2551,022
3448.0.132.0/2248.0.132.1 to 48.0.135.25448.0.135.2551,022
3548.0.136.0/2248.0.136.1 to 48.0.139.25448.0.139.2551,022
3648.0.140.0/2248.0.140.1 to 48.0.143.25448.0.143.2551,022
3748.0.144.0/2248.0.144.1 to 48.0.147.25448.0.147.2551,022
3848.0.148.0/2248.0.148.1 to 48.0.151.25448.0.151.2551,022
3948.0.152.0/2248.0.152.1 to 48.0.155.25448.0.155.2551,022
4048.0.156.0/2248.0.156.1 to 48.0.159.25448.0.159.2551,022
4148.0.160.0/2248.0.160.1 to 48.0.163.25448.0.163.2551,022
4248.0.164.0/2248.0.164.1 to 48.0.167.25448.0.167.2551,022
4348.0.168.0/2248.0.168.1 to 48.0.171.25448.0.171.2551,022
4448.0.172.0/2248.0.172.1 to 48.0.175.25448.0.175.2551,022
4548.0.176.0/2248.0.176.1 to 48.0.179.25448.0.179.2551,022
4648.0.180.0/2248.0.180.1 to 48.0.183.25448.0.183.2551,022
4748.0.184.0/2248.0.184.1 to 48.0.187.25448.0.187.2551,022
4848.0.188.0/2248.0.188.1 to 48.0.191.25448.0.191.2551,022
4948.0.192.0/2248.0.192.1 to 48.0.195.25448.0.195.2551,022
5048.0.196.0/2248.0.196.1 to 48.0.199.25448.0.199.2551,022
5148.0.200.0/2248.0.200.1 to 48.0.203.25448.0.203.2551,022
5248.0.204.0/2248.0.204.1 to 48.0.207.25448.0.207.2551,022
5348.0.208.0/2248.0.208.1 to 48.0.211.25448.0.211.2551,022
5448.0.212.0/2248.0.212.1 to 48.0.215.25448.0.215.2551,022
5548.0.216.0/2248.0.216.1 to 48.0.219.25448.0.219.2551,022
5648.0.220.0/2248.0.220.1 to 48.0.223.25448.0.223.2551,022
5748.0.224.0/2248.0.224.1 to 48.0.227.25448.0.227.2551,022
5848.0.228.0/2248.0.228.1 to 48.0.231.25448.0.231.2551,022
5948.0.232.0/2248.0.232.1 to 48.0.235.25448.0.235.2551,022
6048.0.236.0/2248.0.236.1 to 48.0.239.25448.0.239.2551,022
6148.0.240.0/2248.0.240.1 to 48.0.243.25448.0.243.2551,022
6248.0.244.0/2248.0.244.1 to 48.0.247.25448.0.247.2551,022
6348.0.248.0/2248.0.248.1 to 48.0.251.25448.0.251.2551,022
6448.0.252.0/2248.0.252.1 to 48.0.255.25448.0.255.2551,022
6548.1.0.0/2248.1.0.1 to 48.1.3.25448.1.3.2551,022
6648.1.4.0/2248.1.4.1 to 48.1.7.25448.1.7.2551,022
6748.1.8.0/2248.1.8.1 to 48.1.11.25448.1.11.2551,022
6848.1.12.0/2248.1.12.1 to 48.1.15.25448.1.15.2551,022
6948.1.16.0/2248.1.16.1 to 48.1.19.25448.1.19.2551,022
7048.1.20.0/2248.1.20.1 to 48.1.23.25448.1.23.2551,022
7148.1.24.0/2248.1.24.1 to 48.1.27.25448.1.27.2551,022
7248.1.28.0/2248.1.28.1 to 48.1.31.25448.1.31.2551,022
7348.1.32.0/2248.1.32.1 to 48.1.35.25448.1.35.2551,022
7448.1.36.0/2248.1.36.1 to 48.1.39.25448.1.39.2551,022
7548.1.40.0/2248.1.40.1 to 48.1.43.25448.1.43.2551,022
7648.1.44.0/2248.1.44.1 to 48.1.47.25448.1.47.2551,022
7748.1.48.0/2248.1.48.1 to 48.1.51.25448.1.51.2551,022
7848.1.52.0/2248.1.52.1 to 48.1.55.25448.1.55.2551,022
7948.1.56.0/2248.1.56.1 to 48.1.59.25448.1.59.2551,022
8048.1.60.0/2248.1.60.1 to 48.1.63.25448.1.63.2551,022
8148.1.64.0/2248.1.64.1 to 48.1.67.25448.1.67.2551,022
8248.1.68.0/2248.1.68.1 to 48.1.71.25448.1.71.2551,022
8348.1.72.0/2248.1.72.1 to 48.1.75.25448.1.75.2551,022
8448.1.76.0/2248.1.76.1 to 48.1.79.25448.1.79.2551,022
8548.1.80.0/2248.1.80.1 to 48.1.83.25448.1.83.2551,022
8648.1.84.0/2248.1.84.1 to 48.1.87.25448.1.87.2551,022
8748.1.88.0/2248.1.88.1 to 48.1.91.25448.1.91.2551,022
8848.1.92.0/2248.1.92.1 to 48.1.95.25448.1.95.2551,022
8948.1.96.0/2248.1.96.1 to 48.1.99.25448.1.99.2551,022
9048.1.100.0/2248.1.100.1 to 48.1.103.25448.1.103.2551,022
9148.1.104.0/2248.1.104.1 to 48.1.107.25448.1.107.2551,022
9248.1.108.0/2248.1.108.1 to 48.1.111.25448.1.111.2551,022
9348.1.112.0/2248.1.112.1 to 48.1.115.25448.1.115.2551,022
9448.1.116.0/2248.1.116.1 to 48.1.119.25448.1.119.2551,022
9548.1.120.0/2248.1.120.1 to 48.1.123.25448.1.123.2551,022
9648.1.124.0/2248.1.124.1 to 48.1.127.25448.1.127.2551,022
9748.1.128.0/2248.1.128.1 to 48.1.131.25448.1.131.2551,022
9848.1.132.0/2248.1.132.1 to 48.1.135.25448.1.135.2551,022
9948.1.136.0/2248.1.136.1 to 48.1.139.25448.1.139.2551,022
10048.1.140.0/2248.1.140.1 to 48.1.143.25448.1.143.2551,022
10148.1.144.0/2248.1.144.1 to 48.1.147.25448.1.147.2551,022
10248.1.148.0/2248.1.148.1 to 48.1.151.25448.1.151.2551,022
10348.1.152.0/2248.1.152.1 to 48.1.155.25448.1.155.2551,022
10448.1.156.0/2248.1.156.1 to 48.1.159.25448.1.159.2551,022
10548.1.160.0/2248.1.160.1 to 48.1.163.25448.1.163.2551,022
10648.1.164.0/2248.1.164.1 to 48.1.167.25448.1.167.2551,022
10748.1.168.0/2248.1.168.1 to 48.1.171.25448.1.171.2551,022
10848.1.172.0/2248.1.172.1 to 48.1.175.25448.1.175.2551,022
10948.1.176.0/2248.1.176.1 to 48.1.179.25448.1.179.2551,022
11048.1.180.0/2248.1.180.1 to 48.1.183.25448.1.183.2551,022
11148.1.184.0/2248.1.184.1 to 48.1.187.25448.1.187.2551,022
11248.1.188.0/2248.1.188.1 to 48.1.191.25448.1.191.2551,022
11348.1.192.0/2248.1.192.1 to 48.1.195.25448.1.195.2551,022
11448.1.196.0/2248.1.196.1 to 48.1.199.25448.1.199.2551,022
11548.1.200.0/2248.1.200.1 to 48.1.203.25448.1.203.2551,022
11648.1.204.0/2248.1.204.1 to 48.1.207.25448.1.207.2551,022
11748.1.208.0/2248.1.208.1 to 48.1.211.25448.1.211.2551,022
11848.1.212.0/2248.1.212.1 to 48.1.215.25448.1.215.2551,022
11948.1.216.0/2248.1.216.1 to 48.1.219.25448.1.219.2551,022
12048.1.220.0/2248.1.220.1 to 48.1.223.25448.1.223.2551,022
12148.1.224.0/2248.1.224.1 to 48.1.227.25448.1.227.2551,022
12248.1.228.0/2248.1.228.1 to 48.1.231.25448.1.231.2551,022
12348.1.232.0/2248.1.232.1 to 48.1.235.25448.1.235.2551,022
12448.1.236.0/2248.1.236.1 to 48.1.239.25448.1.239.2551,022
12548.1.240.0/2248.1.240.1 to 48.1.243.25448.1.243.2551,022
12648.1.244.0/2248.1.244.1 to 48.1.247.25448.1.247.2551,022
12748.1.248.0/2248.1.248.1 to 48.1.251.25448.1.251.2551,022
12848.1.252.0/2248.1.252.1 to 48.1.255.25448.1.255.2551,022
12948.2.0.0/2248.2.0.1 to 48.2.3.25448.2.3.2551,022
13048.2.4.0/2248.2.4.1 to 48.2.7.25448.2.7.2551,022
13148.2.8.0/2248.2.8.1 to 48.2.11.25448.2.11.2551,022
13248.2.12.0/2248.2.12.1 to 48.2.15.25448.2.15.2551,022
13348.2.16.0/2248.2.16.1 to 48.2.19.25448.2.19.2551,022
13448.2.20.0/2248.2.20.1 to 48.2.23.25448.2.23.2551,022
13548.2.24.0/2248.2.24.1 to 48.2.27.25448.2.27.2551,022
13648.2.28.0/2248.2.28.1 to 48.2.31.25448.2.31.2551,022
13748.2.32.0/2248.2.32.1 to 48.2.35.25448.2.35.2551,022
13848.2.36.0/2248.2.36.1 to 48.2.39.25448.2.39.2551,022
13948.2.40.0/2248.2.40.1 to 48.2.43.25448.2.43.2551,022
14048.2.44.0/2248.2.44.1 to 48.2.47.25448.2.47.2551,022
14148.2.48.0/2248.2.48.1 to 48.2.51.25448.2.51.2551,022
14248.2.52.0/2248.2.52.1 to 48.2.55.25448.2.55.2551,022
14348.2.56.0/2248.2.56.1 to 48.2.59.25448.2.59.2551,022
14448.2.60.0/2248.2.60.1 to 48.2.63.25448.2.63.2551,022
14548.2.64.0/2248.2.64.1 to 48.2.67.25448.2.67.2551,022
14648.2.68.0/2248.2.68.1 to 48.2.71.25448.2.71.2551,022
14748.2.72.0/2248.2.72.1 to 48.2.75.25448.2.75.2551,022
14848.2.76.0/2248.2.76.1 to 48.2.79.25448.2.79.2551,022
14948.2.80.0/2248.2.80.1 to 48.2.83.25448.2.83.2551,022
15048.2.84.0/2248.2.84.1 to 48.2.87.25448.2.87.2551,022
15148.2.88.0/2248.2.88.1 to 48.2.91.25448.2.91.2551,022
15248.2.92.0/2248.2.92.1 to 48.2.95.25448.2.95.2551,022
15348.2.96.0/2248.2.96.1 to 48.2.99.25448.2.99.2551,022
15448.2.100.0/2248.2.100.1 to 48.2.103.25448.2.103.2551,022
15548.2.104.0/2248.2.104.1 to 48.2.107.25448.2.107.2551,022
15648.2.108.0/2248.2.108.1 to 48.2.111.25448.2.111.2551,022
15748.2.112.0/2248.2.112.1 to 48.2.115.25448.2.115.2551,022
15848.2.116.0/2248.2.116.1 to 48.2.119.25448.2.119.2551,022
15948.2.120.0/2248.2.120.1 to 48.2.123.25448.2.123.2551,022
16048.2.124.0/2248.2.124.1 to 48.2.127.25448.2.127.2551,022
16148.2.128.0/2248.2.128.1 to 48.2.131.25448.2.131.2551,022
16248.2.132.0/2248.2.132.1 to 48.2.135.25448.2.135.2551,022
16348.2.136.0/2248.2.136.1 to 48.2.139.25448.2.139.2551,022
16448.2.140.0/2248.2.140.1 to 48.2.143.25448.2.143.2551,022
16548.2.144.0/2248.2.144.1 to 48.2.147.25448.2.147.2551,022
16648.2.148.0/2248.2.148.1 to 48.2.151.25448.2.151.2551,022
16748.2.152.0/2248.2.152.1 to 48.2.155.25448.2.155.2551,022
16848.2.156.0/2248.2.156.1 to 48.2.159.25448.2.159.2551,022
16948.2.160.0/2248.2.160.1 to 48.2.163.25448.2.163.2551,022
17048.2.164.0/2248.2.164.1 to 48.2.167.25448.2.167.2551,022
17148.2.168.0/2248.2.168.1 to 48.2.171.25448.2.171.2551,022
17248.2.172.0/2248.2.172.1 to 48.2.175.25448.2.175.2551,022
17348.2.176.0/2248.2.176.1 to 48.2.179.25448.2.179.2551,022
17448.2.180.0/2248.2.180.1 to 48.2.183.25448.2.183.2551,022
17548.2.184.0/2248.2.184.1 to 48.2.187.25448.2.187.2551,022
17648.2.188.0/2248.2.188.1 to 48.2.191.25448.2.191.2551,022
17748.2.192.0/2248.2.192.1 to 48.2.195.25448.2.195.2551,022
17848.2.196.0/2248.2.196.1 to 48.2.199.25448.2.199.2551,022
17948.2.200.0/2248.2.200.1 to 48.2.203.25448.2.203.2551,022
18048.2.204.0/2248.2.204.1 to 48.2.207.25448.2.207.2551,022
18148.2.208.0/2248.2.208.1 to 48.2.211.25448.2.211.2551,022
18248.2.212.0/2248.2.212.1 to 48.2.215.25448.2.215.2551,022
18348.2.216.0/2248.2.216.1 to 48.2.219.25448.2.219.2551,022
18448.2.220.0/2248.2.220.1 to 48.2.223.25448.2.223.2551,022
18548.2.224.0/2248.2.224.1 to 48.2.227.25448.2.227.2551,022
18648.2.228.0/2248.2.228.1 to 48.2.231.25448.2.231.2551,022
18748.2.232.0/2248.2.232.1 to 48.2.235.25448.2.235.2551,022
18848.2.236.0/2248.2.236.1 to 48.2.239.25448.2.239.2551,022
18948.2.240.0/2248.2.240.1 to 48.2.243.25448.2.243.2551,022
19048.2.244.0/2248.2.244.1 to 48.2.247.25448.2.247.2551,022
19148.2.248.0/2248.2.248.1 to 48.2.251.25448.2.251.2551,022
19248.2.252.0/2248.2.252.1 to 48.2.255.25448.2.255.2551,022
19348.3.0.0/2248.3.0.1 to 48.3.3.25448.3.3.2551,022
19448.3.4.0/2248.3.4.1 to 48.3.7.25448.3.7.2551,022
19548.3.8.0/2248.3.8.1 to 48.3.11.25448.3.11.2551,022
19648.3.12.0/2248.3.12.1 to 48.3.15.25448.3.15.2551,022
19748.3.16.0/2248.3.16.1 to 48.3.19.25448.3.19.2551,022
19848.3.20.0/2248.3.20.1 to 48.3.23.25448.3.23.2551,022
19948.3.24.0/2248.3.24.1 to 48.3.27.25448.3.27.2551,022
20048.3.28.0/2248.3.28.1 to 48.3.31.25448.3.31.2551,022
20148.3.32.0/2248.3.32.1 to 48.3.35.25448.3.35.2551,022
20248.3.36.0/2248.3.36.1 to 48.3.39.25448.3.39.2551,022
20348.3.40.0/2248.3.40.1 to 48.3.43.25448.3.43.2551,022
20448.3.44.0/2248.3.44.1 to 48.3.47.25448.3.47.2551,022
20548.3.48.0/2248.3.48.1 to 48.3.51.25448.3.51.2551,022
20648.3.52.0/2248.3.52.1 to 48.3.55.25448.3.55.2551,022
20748.3.56.0/2248.3.56.1 to 48.3.59.25448.3.59.2551,022
20848.3.60.0/2248.3.60.1 to 48.3.63.25448.3.63.2551,022
20948.3.64.0/2248.3.64.1 to 48.3.67.25448.3.67.2551,022
21048.3.68.0/2248.3.68.1 to 48.3.71.25448.3.71.2551,022
21148.3.72.0/2248.3.72.1 to 48.3.75.25448.3.75.2551,022
21248.3.76.0/2248.3.76.1 to 48.3.79.25448.3.79.2551,022
21348.3.80.0/2248.3.80.1 to 48.3.83.25448.3.83.2551,022
21448.3.84.0/2248.3.84.1 to 48.3.87.25448.3.87.2551,022
21548.3.88.0/2248.3.88.1 to 48.3.91.25448.3.91.2551,022
21648.3.92.0/2248.3.92.1 to 48.3.95.25448.3.95.2551,022
21748.3.96.0/2248.3.96.1 to 48.3.99.25448.3.99.2551,022
21848.3.100.0/2248.3.100.1 to 48.3.103.25448.3.103.2551,022
21948.3.104.0/2248.3.104.1 to 48.3.107.25448.3.107.2551,022
22048.3.108.0/2248.3.108.1 to 48.3.111.25448.3.111.2551,022
22148.3.112.0/2248.3.112.1 to 48.3.115.25448.3.115.2551,022
22248.3.116.0/2248.3.116.1 to 48.3.119.25448.3.119.2551,022
22348.3.120.0/2248.3.120.1 to 48.3.123.25448.3.123.2551,022
22448.3.124.0/2248.3.124.1 to 48.3.127.25448.3.127.2551,022
22548.3.128.0/2248.3.128.1 to 48.3.131.25448.3.131.2551,022
22648.3.132.0/2248.3.132.1 to 48.3.135.25448.3.135.2551,022
22748.3.136.0/2248.3.136.1 to 48.3.139.25448.3.139.2551,022
22848.3.140.0/2248.3.140.1 to 48.3.143.25448.3.143.2551,022
22948.3.144.0/2248.3.144.1 to 48.3.147.25448.3.147.2551,022
23048.3.148.0/2248.3.148.1 to 48.3.151.25448.3.151.2551,022
23148.3.152.0/2248.3.152.1 to 48.3.155.25448.3.155.2551,022
23248.3.156.0/2248.3.156.1 to 48.3.159.25448.3.159.2551,022
23348.3.160.0/2248.3.160.1 to 48.3.163.25448.3.163.2551,022
23448.3.164.0/2248.3.164.1 to 48.3.167.25448.3.167.2551,022
23548.3.168.0/2248.3.168.1 to 48.3.171.25448.3.171.2551,022
23648.3.172.0/2248.3.172.1 to 48.3.175.25448.3.175.2551,022
23748.3.176.0/2248.3.176.1 to 48.3.179.25448.3.179.2551,022
23848.3.180.0/2248.3.180.1 to 48.3.183.25448.3.183.2551,022
23948.3.184.0/2248.3.184.1 to 48.3.187.25448.3.187.2551,022
24048.3.188.0/2248.3.188.1 to 48.3.191.25448.3.191.2551,022
24148.3.192.0/2248.3.192.1 to 48.3.195.25448.3.195.2551,022
24248.3.196.0/2248.3.196.1 to 48.3.199.25448.3.199.2551,022
24348.3.200.0/2248.3.200.1 to 48.3.203.25448.3.203.2551,022
24448.3.204.0/2248.3.204.1 to 48.3.207.25448.3.207.2551,022
24548.3.208.0/2248.3.208.1 to 48.3.211.25448.3.211.2551,022
24648.3.212.0/2248.3.212.1 to 48.3.215.25448.3.215.2551,022
24748.3.216.0/2248.3.216.1 to 48.3.219.25448.3.219.2551,022
24848.3.220.0/2248.3.220.1 to 48.3.223.25448.3.223.2551,022
24948.3.224.0/2248.3.224.1 to 48.3.227.25448.3.227.2551,022
25048.3.228.0/2248.3.228.1 to 48.3.231.25448.3.231.2551,022
25148.3.232.0/2248.3.232.1 to 48.3.235.25448.3.235.2551,022
25248.3.236.0/2248.3.236.1 to 48.3.239.25448.3.239.2551,022
25348.3.240.0/2248.3.240.1 to 48.3.243.25448.3.243.2551,022
25448.3.244.0/2248.3.244.1 to 48.3.247.25448.3.247.2551,022
25548.3.248.0/2248.3.248.1 to 48.3.251.25448.3.251.2551,022
25648.3.252.0/2248.3.252.1 to 48.3.255.25448.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses